SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001303SiT!portalpublic2010-04-27 12:462012-07-07 18:10
Reportervitorcosta 
Assigned ToTomse 
PrioritynormalSeverityfeatureReproducibilityalways
StatusclosedResolutionfixed 
PlatformLinuxOSLinuxOS Version2.6+later
Product Version3.60 LTS 
Target Version3.66 LTSFixed in Version3.66 LTS 
Summary0001303: When user/contact update the incident no trigger occurs
DescriptionWhen user reply the incident no notification occurs to tecnical people.

I add in my sit instalation a call to trygger TRIGGER_INCIDENT_UPDATE_INTERNAL in

portal/update.php line 181
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
User avatar (0003119)
paulh (administrator)
2010-04-29 20:02

Yeap confirm this is an issue though the trigger should be TRIGGER_INCIDENT_UPDATED_EXTERNAL as its being updated by the 'customer'
(0004490)
itpp2012 (reporter)
2012-06-28 17:59

In the database I've changed entry TRIGGER_INCIDENT_UPDATED_EXTERNAL template value to EMAIL_INCIDENT_UPDATED_BY_CUSTOMER and added a template with this name.

I've tried adding:
trigger('TRIGGER_INCIDENT_UPDATED_EXTERNAL', array('incidentid' => $id, 'userid' => $sit[2]));
In /portal/update.php around line 109 but get a "Call to undefined function trigger()" error.

Any idea how to fix this as it would solve the issue in 3.65 lts.
(0004491)
itpp2012 (reporter)
2012-06-28 20:59

Solved, add at the top:
"require (APPLICATION_LIBPATH . 'triggers.inc.php');"

Working as its suppose to, when a customer updates a incident you can use a template to send an email to the support team(s).

Got it from add.php where it uses triggers in the portal.
User avatar (0004493)
Tomse (developer)
2012-07-06 12:19

fixed in svn 7517

- Issue History
Date Modified Username Field Change
2010-04-27 12:46 vitorcosta New Issue
2010-04-29 20:02 paulh Note Added: 0003119
2010-04-29 20:02 paulh Status new => confirmed
2012-06-28 17:59 itpp2012 Note Added: 0004490
2012-06-28 20:59 itpp2012 Note Added: 0004491
2012-06-30 13:01 Tomse Assigned To => Tomse
2012-06-30 13:01 Tomse Status confirmed => assigned
2012-06-30 13:01 Tomse Target Version => 3.66 LTS
2012-07-06 12:19 Tomse Note Added: 0004493
2012-07-06 12:19 Tomse Status assigned => resolved
2012-07-06 12:19 Tomse Fixed in Version => Current SVN
2012-07-06 12:19 Tomse Resolution open => fixed
2012-07-06 14:13 Tomse Fixed in Version Current SVN => 3.66 LTS
2012-07-07 18:10 ivan Status resolved => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker